# Dice Protocol Extension

This unofficial TaleSpire plugin provides the ability to roll with advantage and disadvantage when using the
Talespire dice protocol. Results show both dice rolls but the total uses only the higher dice or the lower
date for calculating the total.

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log

```
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install this plugin.

## Usage

The Talepsire Dice Protocol is a way to load dice into Talespire from an external application or webpage.
With the Auto Roll Plugin you can also have these dice automatically rolled. To use this feature just make
a URL request to as follows:

``talespire://dice/name:dice``

Where:

``name`` is a name that describes what the roll is for.
``dice`` is the dice formula to be rolled.

Adding:

``(%2B)`` to the roll name will roll with advantage (``%2B`` is the URL encoded version of the plus sign).
``(-)`` to the roll name will roll with disadvantage.

The talespire protocol supports multiple dice in a single roll and multiple rolls in a roll specification.
For example:

``talespire://dice/Attack:1D20+5``
``talespire://dice/Attack:1D20+5/Damage:3D6+2``
``talespire://dice/Attack(-):2D20+5``
``talespire://dice/Attack(%2B):2D20+5/Damage:3D6+2``
``talespire://dice/Attack:1D20+5+1D4/Damage:3D6+2``

However, the Advantage and Disadvantage rolls have the following limitations:

1. The Adv/Dis roll must be the first roll in the roll sequence.
2. To roll Adv/Dis, the roll must have exactly *two* D20 dice. No extra dice are supported.
 

